VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::EnumerationValueInfo Class Reference

The `EnumerationValueInfo` class describes the enumeration value in the enumerated type. More...

List of all members.

## Public Member Functions
| EnumerationValueInfo ()
| Creates a default new instance.
string | GetValue ()
| Value in the enumerated type.
void | SetValue (string value_)
| Value in the enumerated type.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ElementMap > | GetMetadata ()
| Additional metadata for enumeration value in the enumerated type.
void | SetMetadata (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > metadata)
| Additional metadata for enumeration value in the enumerated type.
string | GetDocumentation ()
| English language documentation for an enumeration value.
void | SetDocumentation (string documentation)
| English language documentation for an enumeration value.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `EnumerationValueInfo` class describes the enumeration value in the enumerated type.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::EnumerationValueInfo::EnumerationValueInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::EnumerationValueInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::EnumerationValueInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::EnumerationValueInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::EnumerationValueInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::EnumerationValueInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::EnumerationValueInfo::Equals | ( | object | obj | ) | `[inline]`

string vmware::vapi::metadata::metamodel::EnumerationValueInfo::GetDocumentation | ( |  | ) | `[inline]`

English language documentation for an enumeration value.

It can contain HTML markup and documentation tags (similar to Javadoc tags). The first statement will be a noun or verb phrase that describes the purpose of the enumeration value.

override int vmware::vapi::metadata::metamodel::EnumerationValueInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ElementMap> vmware::vapi::metadata::metamodel::EnumerationValueInfo::GetMetadata | ( |  | ) | `[inline]`

Additional metadata for enumeration value in the enumerated type.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

string vmware::vapi::metadata::metamodel::EnumerationValueInfo::GetValue | ( |  | ) | `[inline]`

Value in the enumerated type.

All the characters in the string are capitalized.

void vmware::vapi::metadata::metamodel::EnumerationValueInfo::SetDocumentation | ( | string | documentation | ) | `[inline]`

English language documentation for an enumeration value.

It can contain HTML markup and documentation tags (similar to Javadoc tags). The first statement will be a noun or verb phrase that describes the purpose of the enumeration value.

void vmware::vapi::metadata::metamodel::EnumerationValueInfo::SetMetadata | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > | metadata | ) | `[inline]`

Additional metadata for enumeration value in the enumerated type.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

void vmware::vapi::metadata::metamodel::EnumerationValueInfo::SetValue | ( | string | value_ | ) | `[inline]`

Value in the enumerated type.

All the characters in the string are capitalized.

override string vmware::vapi::metadata::metamodel::EnumerationValueInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- EnumerationValueInfo.cs